Error while installing mailkit in Visual Studio

Hi All,

I am having one issue while write writing the custom code. I need mailkit library but when I am try to install using nuget explorer I am getting this error.
Current Visual Studio Version- 2015
mailkit version 2.1.2
Snapshot of error:
image

Please help if anyone know about this.

Thanks!
Anmol

1 Like

hi @anmolk171,
Bcz A Portable Class Library or .NETPortable means that the library depends on just a limited set of functionality from the system that it runs on, in order to make it cross platform compatible.

The packages that you tried to install were not built for that (they need more base functionality) and so first install the dependencies
1)Mimekit(>=2.12)
2)BouncyCastle (>= 1.8.2)
3)Portable.BouncyCastle (>= 1.8.2)

Hope this helps.

Regards,
naveen

1 Like

Hi @Naveen_tg,

Thanks for you reply but I was trying to build mailkit rather than directly using in my code using Package Manager Console.
Install-Package mailkit this works fine for me.

Thanks!
Anmol

1 Like

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.